Bug 131414 - Memory leak while writing CDs via USB2
Summary: Memory leak while writing CDs via USB2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-01 05:00 UTC by Greg Hartman
Modified: 2015-01-04 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 08:43:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg (11.67 KB, text/plain)
2004-09-01 05:11 UTC, Greg Hartman
no flags Details
Output from lsmod (860 bytes, text/plain)
2004-09-01 05:12 UTC, Greg Hartman
no flags Details
Output from lsusb (312 bytes, text/plain)
2004-09-01 05:13 UTC, Greg Hartman
no flags Details
Output from /var/log/messages (151.79 KB, text/plain)
2004-09-01 05:14 UTC, Greg Hartman
no flags Details

Description Greg Hartman 2004-09-01 05:00:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; YComp 
5.0.0.0; SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
I upgraded to 2.6.8-1.521. Everything was fine until I tried to write 
to my USB CD recorder. If I run top, I can see the amount of free 
memory drop rapidly during the write until the system starts killing 
processes.

This did not happen on previous kernels

Version-Release number of selected component (if applicable):
2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. Attach a CD-RW drive to the USB2 interface
2. cdrecord -v dev=/dev/scd0 blank=fast driveropts=burnfree speed=10 -
tao 1.iso
3. Run top in a different virtual console. Watch the free memory drop
    

Actual Results:  System runs out of memory (free memory drops by 
about 500k /sec.

Expected Results:  Free memory should stay more or less constant

Additional info:

Comment 1 Greg Hartman 2004-09-01 05:11:30 UTC
Created attachment 103326 [details]
Output from dmesg

Comment 2 Greg Hartman 2004-09-01 05:12:24 UTC
Created attachment 103327 [details]
Output from lsmod

Comment 3 Greg Hartman 2004-09-01 05:13:15 UTC
Created attachment 103328 [details]
Output from lsusb

Comment 4 Greg Hartman 2004-09-01 05:14:00 UTC
Created attachment 103329 [details]
Output from /var/log/messages

Comment 5 Greg Hartman 2004-09-01 05:39:13 UTC
Actually, I was burning audio CDs at the time.

The command line should be cdrecord -v dev=/dev/scd0 speed=4 
driveropts=burnfree -multi -pad -audio 45min.wav

I downgraded to the 2.6.7-1.494.2.2 kernel to see if I could 
reproduce the problem.

I do notice that a lot of memory moves from free to cached under the 
2.6.7 kernel. I suppose this is normal. I can't remember if this 
happened under 2.6.8



Comment 6 Jay Goodman 2004-09-07 03:13:08 UTC
Just to add a "me too" that this issue occurs with me using "cdrdao
write --device /dev/cdrom --driver generic-mmc audiocd.toc
" /dev/cdrom->/dev/hdd.  Rebooted under 2.6.6 and all was normal. 
Logs don't provide useful information except the auto killing of
certain procs.   

Comment 8 Dave Jones 2005-01-17 08:43:32 UTC
this should be fixed in the latest updates.



Note You need to log in before you can comment on or make changes to this bug.